# Bluetooth device active set

A decision block that sets or clear the active device for a particular Bluetooth profile, e.g. as used for audio routing.

The OK path is followed if activation was successful. The NO path is followed if the device was not found, activation was unsuccessful, or Bluetooth was disabled.

If both address and device name are `null` then clear the currently active device. The address of a device may be randomized at regular intervals unless devices has been paired, and the device name may not always be available.

Note! This feature isn’t officially supported and requires Android 9+, may not work on all devices.

## Input arguments

- Device address — address of device, no default.
- Device name — name of device, no default.
- Device profile — profile to change activation for, default is Headset.